#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1300six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 1300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six13004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six13004xi = {
                1:'-1004x626y-536z',
                2:'-1011x815y-55z',
                3:'-1015x579y-568z',
                4:'-1031x570y-548z',
                5:'-1039x522y-580z',
                6:'-1051x760y-68z',
                7:'-1059x465y-591z',
                8:'-1077x406y-603z',
                9:'-1089x704y-81z',
                10:'-1091x348y-615z',
                11:'-1101x289y-626z',
                12:'-1109x229y-637z',
                13:'-1111x52y-671z',
                14:'-1113x170y-649z',
                15:'-1114x111y-660z',
                16:'-1124x645y-94z',
                17:'-112x478y-1203z',
                18:'-1135x553y-603z',
                19:'-114x923y-907z',
                20:'-1155x585y-107z',
                21:'-1183x523y-120z',
                22:'-1208x460y-133z',
                23:'-1229x396y-146z',
                24:'-1246x331y-159z',
                25:'-1260x265y-172z',
                26:'-1271x198y-185z',
                27:'-1278x131y-197z',
                28:'-1281x64y-210z',
                29:'-134x460y-1208z',
                30:'-137x1244y-350z',
                31:'-154x441y-1212z',
                32:'-161x907y-916z',
                33:'-172x421y-1217z',
                34:'-178x5y-1287z',
                35:'-188x401y-1222z',
                36:'-191x15y-1285z',
                37:'-201x1231y-362z',
                38:'-202x27y-1283z',
                39:'-203x379y-1226z',
                40:'-206x888y-926z',
                41:'-213x40y-1281z',
                42:'-217x358y-1230z',
                43:'-218x1235y-341z',
                44:'-223x54y-1279z',
                45:'-228x336y-1234z',
                46:'-232x70y-1277z',
                47:'-238x313y-1238z',
                48:'-240x86y-1274z',
                49:'-246x291y-1242z',
                50:'-247x103y-1271z',
                51:'-250x867y-935z',
                52:'-252x269y-1246z',
                53:'-253x122y-1269z',
                54:'-257x141y-1266z',
                55:'-257x246y-1250z',
                56:'-260x161y-1263z',
                57:'-260x224y-1253z',
                58:'-262x181y-1260z',
                59:'-262x203y-1256z',
                60:'-265x1216y-375z',
                61:'-282x1218y-353z',
                62:'-292x844y-944z',
                63:'-327x1196y-387z',
                64:'-332x819y-953z',
                65:'-344x1198y-366z',
                66:'-370x792y-961z',
                67:'-388x1174y-400z',
                68:'-38x526y-1188z',
                69:'-405x1175y-378z',
                70:'-407x763y-970z',
                71:'-441x732y-979z',
                72:'-447x1148y-412z',
                73:'-465x1149y-391z',
                74:'-473x700y-987z',
                75:'-503x666y-996z',
                76:'-505x1119y-424z',
                77:'-522x1119y-403z',
                78:'-531x631y-1004z',
                79:'-556x595y-1012z',
                80:'-561x1087y-436z',
                81:'-578x1087y-415z',
                82:'-580x558y-1020z',
                83:'-600x520y-1028z',
                84:'-615x1053y-449z',
                85:'-618x482y-1036z',
                86:'-632x1051y-428z',
                87:'-634x443y-1044z',
                88:'-648x403y-1052z',
                89:'-64x511y-1193z',
                90:'-654x21y-1123z',
                91:'-659x364y-1059z',
                92:'-663x57y-1116z',
                93:'-667x1015y-461z',
                94:'-667x324y-1067z',
                95:'-670x93y-1109z',
                96:'-674x284y-1074z',
                97:'-675x130y-1102z',
                98:'-677x245y-1081z',
                99:'-678x168y-1095z',
                100:'-679x206y-1088z',
                101:'-684x1013y-440z',
                102:'-716x975y-473z',
                103:'-733x972y-452z',
                104:'-763x933y-485z',
                105:'-780x929y-464z',
                106:'-808x888y-497z',
                107:'-820x1008y-3z',
                108:'-825x884y-476z',
                109:'-850x841y-509z',
                110:'-866x836y-488z',
                111:'-871x964y-16z',
                112:'-889x792y-521z',
                113:'-89x495y-1198z',
                114:'-905x786y-500z',
                115:'-921x916y-29z',
                116:'-925x741y-533z',
                117:'-941x734y-512z',
                118:'-958x688y-545z',
                119:'-967x867y-42z',
                120:'-974x681y-524z',
                121:'-988x634y-557z'}

#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1300six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire1300six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1300SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1300SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1300SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1300SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1300SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six13004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1300SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1300SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1300SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six1300x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six1300x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1300SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE1300SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1300SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1300six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
